diff -urN MSPDebugStack_OS_Package.orig/DLL430_v3/src/TI/DLL430/EnergyTrace_TSPA/EnergyTraceProcessorId7.h MSPDebugStack_OS_Package/DLL430_v3/src/TI/DLL430/EnergyTrace_TSPA/EnergyTraceProcessorId7.h
--- MSPDebugStack_OS_Package.orig/DLL430_v3/src/TI/DLL430/EnergyTrace_TSPA/EnergyTraceProcessorId7.h	2013-06-17 12:51:54.000000000 +0200
+++ MSPDebugStack_OS_Package/DLL430_v3/src/TI/DLL430/EnergyTrace_TSPA/EnergyTraceProcessorId7.h	2013-09-26 13:24:48.659326334 +0200
@@ -62,6 +62,7 @@
 #include "EnergyTraceProcessorJState.h"
 #include <DoubleBuffer.h>
 #include <stdint.h>
+#include <cstdio>
 
 //#define ETLOG
 
diff -urN MSPDebugStack_OS_Package.orig/Makefile MSPDebugStack_OS_Package/Makefile
--- MSPDebugStack_OS_Package.orig/Makefile	2013-06-17 12:51:54.000000000 +0200
+++ MSPDebugStack_OS_Package/Makefile	2013-09-26 13:24:25.198323808 +0200
@@ -15,10 +15,13 @@
 DEFINES += -DNDEBUG
 endif
 
+OS := $(shell uname -s)
+
 export BOOST_DIR
 export BIT32
 export STATIC
 export DEBUG
+export OS
 
 INCLUDES := \
 	-I./Bios/include \
@@ -33,6 +36,13 @@
 
 LIBDIRS := -L./ThirdParty/lib
 
+ifeq ($(OS),FreeBSD)
+	INCLUDES += -I/usr/local/include
+	LIBDIRS += -L/usr/local/lib
+else
+	LIBUSBSUFFIX := -1.0
+endif
+
 ifdef BOOST_DIR
 INCLUDES += -I$(BOOST_DIR)
 LIBDIRS += -L$(BOOST_DIR)/stage/lib
@@ -42,9 +52,9 @@
 STATIC_LIBS :=
 
 ifdef STATIC
-STATIC_LIBS += -lboost_thread -lboost_filesystem -lboost_date_time -lboost_system -lbsl430 -lusb-1.0 -lrt
+STATIC_LIBS += -lboost_thread -lboost_filesystem -lboost_date_time -lboost_system -lbsl430 -lusb$(LIBUSBSUFFIX) -lrt
 else
-LIBS += -lboost_thread -lboost_filesystem -lboost_date_time -lboost_system -lbsl430 -lusb-1.0 -lrt
+LIBS += -lboost_thread -lboost_filesystem -lboost_date_time -lboost_system -lbsl430 -lusb$(LIBUSBSUFFIX) -lrt
 endif
 
 LIBS += -lpthread
diff -urN MSPDebugStack_OS_Package.orig/ThirdParty/BSL430_DLL/Makefile MSPDebugStack_OS_Package/ThirdParty/BSL430_DLL/Makefile
--- MSPDebugStack_OS_Package.orig/ThirdParty/BSL430_DLL/Makefile	2013-01-28 10:34:24.000000000 +0100
+++ MSPDebugStack_OS_Package/ThirdParty/BSL430_DLL/Makefile	2013-09-26 13:24:25.199325914 +0200
@@ -25,6 +25,11 @@
 
 LIBDIRS :=
 
+ifeq ($(OS),FreeBSD)
+	INCLUDES += -I/usr/local/include
+	LIBDIRS += -L/usr/local/lib
+endif
+
 ifdef BOOST_DIR
 INCLUDES += -I$(BOOST_DIR)
 LIBDIRS += -L$(BOOST_DIR)/stage/lib
diff -urN MSPDebugStack_OS_Package.orig/ThirdParty/install_thirdparty.sh MSPDebugStack_OS_Package/ThirdParty/install_thirdparty.sh
--- MSPDebugStack_OS_Package.orig/ThirdParty/install_thirdparty.sh	1970-01-01 01:00:00.000000000 +0100
+++ MSPDebugStack_OS_Package/ThirdParty/install_thirdparty.sh	2013-09-26 13:24:25.199325914 +0200
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+[ -f lib/hid-libusb.o ] || rm -f lib/hid-libusb.o
+[ -f include/hidapi.h ] || rm -f include/hidapi.h
+
+[ -d hidapi ] && rm -rf hidapi
+
+git clone https://github.com/signal11/hidapi.git && \
+cd hidapi && \
+./bootstrap && \
+./configure && \
+make
+
+if [ ! -f hidapi/hidapi.h -o ! -f libusb/.libs/hid.o ]
+then
+	echo "hidapi: Build failed"
+	exit 1
+fi
+
+cp hidapi/hidapi.h ../include/hidapi.h && \
+cp libusb/.libs/hid.o ../lib/hid-libusb.o && \
+cd .. && \
+rm -rf hidapi
+echo "hidapi: Build ok (ignore any errors above)"
+
